# Custom base image that contains several utilities such
# as curl and docker.
image: docker:stable

include:
    - template: API-Fuzzing.gitlab-ci.yml

stages:
    - build
    - fuzz
            
variables:
    FUZZAPI_HAR: graphql.har
    FUZZAPI_TARGET_URL: http://target:7779
    GRAPHQL_TARGET_IMAGE: registry.gitlab.com/gitlab-org/security-products/demos/api-fuzzing/graphql-api-fuzzing-example/graphql-target

build:
    stage: build
    services:
        - docker:stable-dind
    script:
        #
        # Build target container
        - docker build -t $GRAPHQL_TARGET_IMAGE .
        #
        # Push to registry
        - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
        - docker push $GRAPHQL_TARGET_IMAGE
        #

apifuzzer_fuzz:
    services:
        - name: $GRAPHQL_TARGET_IMAGE
          alias: target

# end
